Bug 132941 - x86_64 chinput LE crashes during input
Summary: x86_64 chinput LE crashes during input
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: iiimf-le-chinput   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Yu Shao
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: FC3Target IIIMF FC3Blocker
TreeView+ depends on / blocked
 
Reported: 2004-09-20 05:44 UTC by Warren Togami
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 0.3-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 23:42:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Warren Togami 2004-09-20 05:44:16 UTC
Description of problem:
x86_64 chinput LE crashes when you first enter any character.

...
imdata->commit_str=
imdata->status_str=
imdata->error_num=0
imdata->labeltype=0

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1084225888 (LWP 10223)]
0x000000301aab9596 in poll () from /lib64/tls/libc.so.6
(gdb) bt
#0  0x000000301aab9596 in poll () from /lib64/tls/libc.so.6
#1  0x000000000044c39a in IMSocketListen::accept (this=0x598c30) at
IMUtil.cpp:632
#2  0x000000000042dae3 in IIIMProtocol::accept (this=0x598be0,
flags=0) at IIIMProtocol.cpp:59
#3  0x00000000004294de in IMScheduler_MTPC::start (this=0x5894b0) at
IMScheduler_MTPC.cpp:53
#4  0x0000000000407745 in IMSvr::start (this=0x7fbffff780) at IMSvr.cpp:82
#5  0x0000000000407096 in main (argc=2, argv=0x7fbffff9f8) at main.cpp:44
#6  0x000000301aa1bf6a in __libc_start_main () from /lib64/tls/libc.so.6
#7  0x0000000000406e7a in _start ()
#8  0x0000007fbffff9e8 in ?? ()
#9  0x000000000000001c in ?? ()
Previous frame inner to this frame (corrupt stack?)


Version-Release number of selected component (if applicable):
iiimf-le-chinput-0.3-6
im-sdk-12.0.1-7.svn1891


Note You need to log in before you can comment on or make changes to this bug.